ChangeSet 1.1240, 2003/06/18 16:54:10-07:00, greg@kroah.com

[PATCH] USB: fix break control for pl2303 driver

Thanks to Martin Evans <m.d.t.evans@qmul.ac.uk> for pointing this out.


 drivers/usb/serial/pl2303.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/serial/pl2303.c b/drivers/usb/serial/pl2303.c
--- a/drivers/usb/serial/pl2303.c	Wed Jun 18 17:35:25 2003
+++ b/drivers/usb/serial/pl2303.c	Wed Jun 18 17:35:25 2003
@@ -562,7 +562,7 @@
 		state = BREAK_ON;
 	dbg("%s - turning break %s", state==BREAK_OFF ? "off" : "on", __FUNCTION__);
 
-	result = usb_control_msg (serial->dev, usb_rcvctrlpipe (serial->dev, 0),
+	result = usb_control_msg (serial->dev, usb_sndctrlpipe (serial->dev, 0),
 				  BREAK_REQUEST, BREAK_REQUEST_TYPE, state, 
 				  0, NULL, 0, 100);
 	if (result)
